Analytics

List Flow Runs

get

List flow run logs matching the given filters.

Authorizations
OAuth2passwordRequired

Authorization header. Learn how to get it.

Token URL:
Path parameters
flow_idstringRequired
org_idstringRequired
Query parameters
pageintegerOptionalDefault: 0
page_sizeinteger · min: 1OptionalDefault: 25
start_dateany ofOptional
string · date-timeOptional
or
nullOptional
end_dateany ofOptional
string · date-timeOptional
or
nullOptional
user_idany ofOptional
stringOptional
or
nullOptional
stateany ofOptional

Comma-separated list of statuses to filter by. Accepted values: PENDING, PAUSED, RESUMED, COMPLETED, FAILED, CANCELLED

stringOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

Summary of a single workflow run.

run_idstring · uuidRequired
conversation_idany ofOptional
stringOptional
or
nullOptional
datestring · date-timeRequired
is_flow_successfulany ofRequired
booleanOptional
or
nullOptional
stateany ofRequired
string · enumOptional

Enum representing the possible states of a workflow.

Possible values:
or
nullOptional
errorany ofRequired
stringOptional
or
nullOptional
latencyany ofRequired
numberOptional
or
nullOptional
total_tokensintegerRequired
user_idany ofRequired
stringOptional
or
nullOptional
inputsany ofRequired
stringOptional
or
nullOptional
outputsany ofRequired
stringOptional
or
nullOptional
llmsany ofRequired
stringOptional
or
nullOptional
feedbackany ofRequired
stringOptional
or
nullOptional
run_typeany ofOptional

How the run was initiated.

string · enumOptional

How a workflow run was initiated.

Possible values:
or
nullOptional
ran_by_typeany ofOptional

Who authenticated the run.

string · enumOptional

Who or what authenticated the run.

Possible values:
or
nullOptional
ran_by_idany ofOptional

ID of the user or API key that triggered the run.

string · uuidOptional
or
nullOptional
ran_by_display_nameany ofOptional

Display name of the user (email) or API key (name) that triggered the run.

stringOptional
or
nullOptional
parent_run_idany ofOptional

Run ID of the parent workflow for sub-workflow runs.

string · uuidOptional
or
nullOptional
parent_project_idany ofOptional

Project ID of the parent workflow for sub-workflow runs.

stringOptional
or
nullOptional
parent_project_nameany ofOptional

Name of the parent project for sub-workflow runs.

stringOptional
or
nullOptional
get
/analytics/org/{org_id}/flows/{flow_id}

Last updated

Was this helpful?